# bdm::mgamma Class Reference

Gamma random walk. More...

`#include <exp_family.h>`

List of all members.

## Public Member Functions
| mgamma ()
| Constructor.
void | set_parameters (double k, const vec &beta0)
| Set value of `k`.
void | condition (const vec &val)
void | from_setting (const Setting &set)
egamma & | e ()
| access function to iepdf
vec | samplecond (const vec &cond)
| Reimplements samplecond using `condition()`.
double | evallogcond (const vec &val, const vec &cond)
| Reimplements evallogcond using `condition()`.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Efficient version of evallogcond for matrices.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Efficient version of evallogcond for Array<vec>.
virtual mat | samplecond_m (const vec &cond, int N)
| Efficient version of samplecond.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Access to attributes
RV | _rv () const
RV | _rvc ()
int | dimension () const
int | dimensionc ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Member Functions
void | set_ep (epdf &iepdf)
| set internal pointer `ep` to point to given `iepdf`
void | set_ep (epdf *iepdfp)
| set internal pointer `ep` to point to given `iepdf`
## Protected Attributes
double | k
| Constant .
vec & | _beta
| cache of iepdf.beta
egamma | iepdf
| Internal epdf used for sampling.
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition

## Detailed Description

Gamma random walk.

Mean value, , of this density is given by `rvc` . Standard deviation of the random walk is proportional to one -th the mean. This is achieved by setting and .

The standard deviation of the walk is then: .

## Member Function Documentation

void bdm::mgamma::condition | ( | const vec & | cond | ) | `[inline, virtual]`

Update `iepdf` so that it represents this mpdf conditioned on `rvc` = cond This function provides convenient reimplementation in offsprings

Reimplemented from bdm::mpdf_internal< egamma >.

Reimplemented in bdm::mgamma_fix.

References _beta, and k.

void bdm::mgamma::from_setting | ( | const Setting & | set | ) | `[inline, virtual]`

Load from structure with elements:

     { alpha = [...];         // vector of alpha
       k = 1.1;               // multiplicative constant k
       rv = {class="RV",...}  // description of RV
       rvc = {class="RV",...} // description of RV in condition
     }

Reimplemented from bdm::mpdf.

References bdm::UI::get(), k, and set_parameters().

The documentation for this class was generated from the following files:

- exp_family.h
- exp_family.cpp